installer dependencies:
---
    docker run --rm -v ${PWD}:/app -w /app node:16 npm install
---

kør tests:
---
    docker run --rm -v ${PWD}:/app -w /app node:16 npm run-script test
---

hent fixtures fra jira: kør alle 3
---
    docker run --rm -v ${PWD}:/app -w /app --entrypoint="" -u root ubuntu rm -rf 'features/\*\*'
    docker run --rm -v ${PWD}:/app -w /app --entrypoint="" -u root curlimages/curl curl -u $(cat .credentials) --output features.zip 'https://jira.nspop.dk/rest/raven/1.0/export/test?filter=11410&fz=true'
    docker run --rm -v ${PWD}:/app -w /app --entrypoint="" -u root imega/unzip unzip -d features/ features.zip
---

formater kode:
---
docker run --rm -v ${PWD}:/app -w /app node:16 npm run-script format


## Credentials
Det er snedigst hvis du sætter to par credentials op; ét sæt til jira.nspop.dk ifm. henting af features, og ét sæt til DRG- & DTG-kald.
De to sæt credentials skal IKKE committes i Git!

1. ### .credentials
Lav en fil, .credentials, som ligger i /cucumber/ (altså samme sted som denne README.md).
I den skal der være én linje med dit brugernavn, et :, og dit password til jira.nspop.dk

    test:hemmeligtPassword

Det bruges ifm. hentning af features fra X-Ray. Kig fx i `package.json` efter `cat .credentials` .

2. ### .drg-credentials
Vi skal heller ikke have credentials til DRG liggende i source-koden.  
Vi vil gerne kunne styre det med environment-variable på Jenkins, så får at køre det lokalt sætter vi også de samme environment-variable op til lokale kørsler.  

Lav en fil, .drg-credentials, som ligger i /cucumber/ (altså samme sted som denne README.md).  
I den fil angives, på to linjer, et sæt credentials til DRG & DTG (de deler):

    DRG_USER=noget
    DRG_PASSWORD=hemmeligt

De steder, det skal bruges, kan vi så hive de to ud som environment-variable. Se fx i `package.json` under `scripts`, hvor det bruges med et præfix i `test` på følgende facon:

    export $(cat .drg-credentials | xargs) &&

Så stikkes `DRG_USER` og `DRG_PASSWORD` ind, og kan bruges fra node-processen (pt. bruges fra /cucumber/dataaccess/util.js).
